#ifndef DRAWWINDOW_H
#define DRAWWINDOW_H

#include "SDL.h"
#include "SDL_gfxPrimitives.h"

#include "LinePattern.h"

class DrawWindow {
 public:
  DrawWindow ();

  void setLinePattern (LinePattern *);
  void drawEvaluator (bool, Uint8, Sint16, Sint16, Uint32 &, Uint32 &);
  int getDrawingStatus ();
  SDL_Rect getDimensions ();

  void render (SDL_Surface *);
  void init ();

  ~DrawWindow ();

 protected:
  LinePattern * lp;
  SDL_Rect dimensions;

  int drawingState;
};

#endif
