#ifndef INPUTOBJ_H
#define INPUTOBJ_H

#include "SDL.h"
#include "SDL_gfxPrimitives.h"

class InputObj {
 public:
  InputObj ();

  virtual void processInput ();
  virtual void render (SDL_Surface * dest, int);

  void getCursorPos (Sint16 *, Sint16 *);
  Sint16 getCursorPosX ();
  Sint16 getCursorPosY ();

  bool getButton1 ();
  bool getButton2 ();
  bool getEscKey ();

  virtual ~InputObj ();

 protected:
  Sint16 posX;
  Sint16 posY;
  bool button1Pressed;
  bool button2Pressed;
  bool escKeyHit;
};

#endif
