#ifndef LINEPATTERN_H
#define LINEPATTERN_H

#include "SDL.h"
#include "SDL_gfxPrimitives.h"
#include <vector>
using namespace std;

class LinePattern {
 public:
  LinePattern ();
  ~LinePattern ();
  void init (SDL_Rect dim);
  Uint32 chooseColor (SDL_Rect pt, SDL_Surface * dest, Uint8 & r, Uint8 & g, Uint8 & b, Uint8 & a);
  void render (SDL_Surface * dest, SDL_Rect dim);
  int getLastPoint (SDL_Rect & ptA);
  void getNewLine (SDL_Rect);
 protected:
  SDL_Rect generateNextPoint (SDL_Rect);

  vector <SDL_Rect> points;
  //add rules for drawing line here?
};

#endif
